J = 100; %Number of grid points
y = 0:1/(J+1):1; %values of x at grid points
k = 5;
dx = 1/(J+1); %Spatial step
s = 0.9;
dt = s*dx;

T = 200; %Final time
M = floor(T/dt); %Number of iterations

x=y(2:end-1);
f = 0.3*ones(1,length(x));

ymin = 0;
ymax = 1;

plot(x,f);
ylim([ymin ymax]);
pause;
key_pressed=0;
set(gcf, 'KeyPressFcn', 'key_pressed=mod(key_pressed+1,2);')

u=f;   %Initial condition

%Press any key to stop/start simulation
for i=1:M
  
   un = [u([2:end]),(1-cos(i*dt))/2.13]; %Boundary conditions are encoded here
   up = [0.3,u([1:end-1])];

   %Insert your code here
   %u = 
   
   if mod(i,k) == 0
      %Draw u
      plot(x,u);
      ylim([ymin ymax]);
      xlim([0 1]);
      drawnow;
   end
    
   %Pause when key is pressed
   while key_pressed == 1
       pause(0.1);
   end
end


